# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KExecMimeType Class Reference

MimeType for any executable, like /bin/ls. More...

`#include <kmimetype.h>`

Inheritance diagram for KExecMimeType:

[legend]
Collaboration diagram for KExecMimeType:

[legend]
List of all members.

## Public Member Functions

| KExecMimeType (KDesktopFile *config)
| KExecMimeType (QDataStream &_str, int offset)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

MimeType for any executable, like /bin/ls.

Definition at line 425 of file kmimetype.h.

The documentation for this class was generated from the following files:

- kmimetype.h
- kmimetype.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:16:22 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001